%define upstream_name    Test-Spec
%define upstream_version 0.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    RSpec-like testing for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Package::Stash) >= 0.230.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(Test::Deep) >= 0.103.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(constant)
BuildArch:  noarch

%description
This is a declarative specification-style testing system for
behavior-driven development (BDD) in Perl. The tests (a.k.a. examples) are
named with strings instead of subroutine names, so your fingers will suffer
less fatigue from underscore-itis, with the side benefit that the test
reports are more legible.

This module is inspired by and borrows heavily from RSpec
(http://rspec.info/documentation/), a BDD tool for the Ruby programming
language.

EXPORTS
    When given *no list* (i.e. 'use Test::Spec;'), this class will export:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 219886
- update to 0.42

* Mon Mar 05 2012 jquelin <jquelin> 0.410.0-1.mga2
+ Revision: 218808
- update to 0.41

* Sat Feb 25 2012 kharec <kharec> 0.400.0-1.mga2
+ Revision: 214497
- update to 0.40

* Thu Sep 01 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 137568
- update to 0.39

* Wed Jul 13 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 123630
- update to 0.38

* Fri Jul 08 2011 jquelin <jquelin> 0.370.0-1.mga2
+ Revision: 120502
- update to 0.37

* Thu Jun 30 2011 jquelin <jquelin> 0.350.0-1.mga2
+ Revision: 116442
- update to 0.35

* Wed Jun 15 2011 jquelin <jquelin> 0.330.0-1.mga2
+ Revision: 107712
- imported package perl-Test-Spec


* Wed Jun 15 2011 cpan2dist 0.33-1mga
- initial mageia release, generated with cpan2dist
